pspp-cvs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Pspp-cvs] Changes to pspp/tests/test_template


From: John Darrington
Subject: [Pspp-cvs] Changes to pspp/tests/test_template
Date: Sun, 08 May 2005 19:17:06 -0400

Index: pspp/tests/test_template
diff -u pspp/tests/test_template:1.1 pspp/tests/test_template:1.2
--- pspp/tests/test_template:1.1        Mon Dec 15 13:48:52 2003
+++ pspp/tests/test_template    Sun May  8 23:17:05 2005
@@ -3,6 +3,7 @@
 # This program tests ....
 
 TEMPDIR=/tmp/pspp-tst-$$
+TESTFILE=$TEMPDIR/`basename $0`.sps
 
 here=`pwd`;
 
@@ -14,6 +15,10 @@
 
 cleanup()
 {
+     if [ x"$PSPP_TEST_NO_CLEANUP" != x ] ; then 
+       echo "NOT cleaning $TEMPDIR"
+       return ; 
+     fi
      rm -rf $TEMPDIR
 }
 
@@ -46,10 +51,15 @@
 cd $TEMPDIR
 
 put test set up here ...
+if [ $? -ne 0 ] ; then no_result ; fi
+
 
+activity="run program"
+$SUPERVISOR $here/../src/pspp --testing-mode -o raw-ascii $TESTFILE
 if [ $? -ne 0 ] ; then no_result ; fi
 
 
+
 put test here
 
 if [ $? -ne 0 ] ; then fail ; fi




reply via email to

[Prev in Thread] Current Thread [Next in Thread]